# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(xproxymngproto)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: proxymngr
Version: 1.0.4
Release: alt1_1
Summary: Proxy manager service
Group: Development/C
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: lbxproxy >= 1.0.1
BuildRequires: pkgconfig(ice) >= 1.0.0
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xt) >= 1.0.0
BuildRequires: xorg-proto-devel >= 1.0.0
BuildRequires: xorg-util-macros >= 1.0.1
Source44: import.info
Url: http://xorg.freedesktop.org

%description
The proxy manager (proxymngr) is responsible for resolving requests from
xfindproxy (and other similar clients), starting new proxies when appropriate,
and keeping track of all of the available proxy services. The proxy manager
strives to reuse existing proxies whenever possible.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%files
%{_bindir}/proxymngr
%{_sysconfdir}/X11/proxymngr/pmconfig
%{_mandir}/man1/proxymngr.*


%changelog
* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_7
- update by mgaimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_6
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_5
- new version

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt2
- fixed #8894

* Thu Dec 29 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- Xorg-7.0

